/* GENERALS AND RESET */
*, *::before, *::after {
    box-sizing: border-box;
}

/* use this to line all element */
/* * {
    outline: 1px solid red;
} */
/* use this to line all element */
:root {
    --dark: #2E323F;
    --black : #3B4050;
    --gray : #6F737F;
    --white : #FFFFFF;
    --cream : #A59678;
}

html {
    font-family: 'Montserrat', sans-serif; 
    font-size: 18px;
}

body {
    margin: 0;
    padding: 0;
}
h1, h2, h3, h4, h5 {
    font-family: 'Oswald', sans-serif;
    font-weight: 700;
    text-align: center;
    color: var(--cream);
}
h3 {
    font-size: 1.66rem;
}
li  {
    list-style-type: none;
}
a {
    text-decoration: none;
    color: white;

}
ul {
    margin: 0;
    padding: 0;
}
.container {
    width: 100%;
}

.row {
    width: 100%;
    padding: 1rem;
    max-width: 1200px;
}

.flex {
    display: flex;
    justify-content: space-between;
}
.btn {
    padding: .5rem 1rem;
    background: var(--cream);
    border-radius: 2rem;
    color: white;
    text-transform: uppercase;
    font-weight: 700;
    font-size: .8rem;
}


/* GENERAL AND RESET */

.navbar {
    background: var(--dark);
    position: fixed;

}
.navbar__inner {
    position: relative;
    display: flex;
}
.icon-menu {
    font-size: 2rem;
    color: white;
    width: 42%;
}
.nav__logo {
    width: 58%;
}

.nav {
    display: none;
    flex-direction: column;
    align-items: center;
    position: absolute;
    width: 100%;
    background: var(--dark);
    left: 0;
    top: 65px;
    
    /* height: 0; */
    

}
@keyframes down {
    from {
        height: 0;
    }
    to {
        height: 173px;
    }
}
@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}
.nav--visible {
    animation-name: down;
    animation-duration: .5s;
    animation-fill-mode: forwards;
    display: flex !important;
    animation-name: fadeIn;
    animation-duration: .5s;
    animation-fill-mode: forwards;
}

.nav__list {
    
    width: 100%;
}
.nav__item {
    margin: .5rem 0;
    text-align: center;
}
.nav__link {
    color: var(--white);
    text-transform: uppercase;
}
.nav__link:hover,
.nav__link:focus {
    opacity: .7;
}

/* HERO */

.hero, .foot {
    background: var(--black);
}

.hero {
    color: white;
    padding-top: 5rem;
}

.hero h1 {
    color: white;
    font-size: 2rem;
    line-height: 2rem;
}
.hero h1 span {
    color: var(--cream);
}

.hero .text p {
    margin: 2rem 0;
}
.hero__inner {
    padding-bottom: 2rem;
}

/* HERO */

/* RESUME */

.resume {
    background: #f1f1f1;
    text-align: center;
    
}
.resume h3 {
    color: var(--cream);
}
.resume__cards .card {
    background: inherit;
    color: black;
}

/* RESUME */






/* MAIN */

.main__img img {
    width: 100%;
}
.main__text h2 {
    font-size: 2rem;
}

.card {
    background: var(--black);
    padding: 1rem;
    text-align: center;
    color: var(--white);
    margin-bottom: 1rem;
}


/* MAIN */


/* FOOTER */

.foot__info {
    color: white;
    text-align: center;
}
.foot__list {
    
}
.foot__link:hover,
.foot__link:focus {
    opacity: .7;
}




/* FOOTER */

@media (min-width: 700px) {
    .row {
        width: 90% !important;
        max-width: 1200px;
        margin: 0 auto;
    }
    p {
        font-size: 1.2rem;
    }

    .icon-menu {
        display: none;
    }
    .nav {
        display: flex;
        justify-content: flex-end;
        flex-direction: row;
        position: relative;
        top: 0;
    }
    .nav__logo {
        width: auto;
    }
    .nav__list {
        display: flex;
        width: auto;
        margin-left: 2rem;
        
    }
    .nav__item {
        margin-left: 1rem;
    }


    /* ---------------------  HERO -----------------------------*/

    .hero__inner {
        display: flex;
        align-items: center;
        height: 550px;
    }
    .title {
        width: 50%;
    }
    .text {
        width: 50%;
    }
    .text {
        font-size: 1.5rem;
    }
    .text a {
        font-size: 1.33rem;
        padding: 1rem 2rem;
    }
    
    .hero h1 {
        font-size: 5rem;
        margin: 0;
        text-align: start;
        line-height: 5rem;
    }
    .hero p {
        font-size: 1.33rem;
    }
    /* ---------------------  HERO -----------------------------*/



    /* ---------------------  RESUME ----------------------------*/

    .resume__cards {
        display: flex;
        padding: 4rem 0;
        justify-content: space-between;
    }
    .card-sm {
        width: 30%;
        margin-bottom: 0;
    }

    /* ---------------------  RESUME ----------------------------*/

 
 
 
    /* ---------------------  MAIN -------------------------------*/

    .main__inner {
        display: flex;
        justify-content: space-between;
        margin: 5rem auto;
    }
    .main__text {
        width: 60%;
    }
    .main__text h2 {
        margin: 0;
        text-align: start;
        font-size: 2.5rem;
    }
    .main__text p {
        margin: 2rem 0;
    }
    .main__cards {
        width: 30%;
    }

    /* ---------------------  MAIN -------------------------------*/



    /* ---------------------  FOOTER ------------------------------- */
    .foot__inner {
        padding: 4rem 0;  
    }
    .foot__inner h4 {
        font-size: 2.66rem;
        color: white;
        margin-top: 0;
          
    }
    .foot__info {
        display: flex;
        justify-content: space-between;
        text-align: start;
    }

    .foot__about {
        width: 40%;
    }
    .foot__about p {
        font-size: 1.16rem;
    }
    .foot__info h5 {
        text-align: start;
        
    }
    .foot__more {
        width: 50%;
        display: flex;
        justify-content: space-between;
    }
    .foot__more__box {
        margin-left: 2rem;
        
    }


    /* ---------------------  FOOTER ------------------------------- */





}

@media (min-width: 1000px) {
    .row {
        width: 90% !important;
    }
}